<?php

namespace Sugarcrm\Sugarcrm\custom\PxRoutines\LBExtensions\Templates\Helpers\TemplateEngines;

class BaseTemplateEngine{
    use TemplateEngineTrait;

    protected $templateHTML = '';

    public function fetchLBTemplate(){
        return $this->templateHTML;
    }

    public function setLBTemplateBean(\PX_FlowchartTemplates $lbTemplateBean){
        $this->lbTemplateBean = $lbTemplateBean;
        if(!empty($this->lbTemplateBean)){
            $this->templateHTML = str_replace(array('%7B%7B', '%7D%7D'), array('{{', '}}'), $this->lbTemplateBean->html_body);
        }
    }

    public function assignLBVariable($variable, $value){
        $this->templateHTML = str_replace('{{'.$variable.'}}', $value, $this->templateHTML);
    }

}