<?php
if(!defined('sugarEntry') || !sugarEntry) die('Not A Valid Entry Point');

require_once 'data/duplicatecheck/FilterDuplicateCheck.php';
require_once 'modules/PX_FlowchartTemplates/clients/base/api/PX_FlowchartTemplatesFilterApi.php';

class PX_FlowchartTemplatesFilterDuplicateCheck extends FilterDuplicateCheck
{

    protected function callFilterApi($filter)
    {
        // call filter to get data
        $filterApi = new PX_FlowchartTemplatesFilterApi();
        $api = new RestService();
        $api->user = $GLOBALS['current_user'];
        $filterArgs = array(
            'filter' => $filter,
            'module' => $this->bean->module_name,
            'max_num' => self::FILTER_QUERY_LIMIT,
        );
        return $filterApi->filterList($api, $filterArgs, 'view');
    }
}